package cn.com.ty.lift.business.annualinspection.mapper;

import cn.com.ty.lift.business.annualinspection.dto.InspectionCondition;
import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 年检记录 Mapper 接口
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
@Repository
public interface AnnualInspectionMapper extends BaseMapper<AnnualInspection> {


    IPage<AnnualInspection> listByCondition(IPage<AnnualInspection> page, InspectionCondition condition);
}
