package cn.com.ty.lift.business.annualinspection.service.impl;

import cn.com.ty.lift.business.annualinspection.dto.InspectionCondition;
import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import cn.com.ty.lift.business.annualinspection.mapper.AnnualInspectionMapper;
import cn.com.ty.lift.business.annualinspection.service.AnnualInspectionService;
import cn.com.ty.lift.business.library.dao.entity.LiftExtension;
import cn.com.ty.lift.business.library.dao.mapper.LiftExtensionMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 年检记录 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
@Service
public class AnnualInspectionServiceImpl extends ServiceImpl<AnnualInspectionMapper, AnnualInspection> implements AnnualInspectionService {

    @Autowired
    private AnnualInspectionMapper annualInspectionMapper;

    private LiftExtensionMapper liftExtensionMapper;

    @Override
    public IPage<AnnualInspection> listByCondition(InspectionCondition condition) {
        IPage<AnnualInspection> page = new Page<>(condition.getPageNum(),condition.getPageSize());
        IPage<AnnualInspection> lists = annualInspectionMapper.listByCondition(page,condition);
        return lists;
    }


    @Override
    public boolean finishAnnualInspection(AnnualInspection entity) {
        boolean ai = saveOrUpdate(entity);
        if(!ai) return false;
        LiftExtension liftExtension = liftExtensionMapper.selectById(entity.getLiftId());
        if(null == liftExtension){

        }
        return false;
    }


}
