package cn.com.ty.lift.business.emergency.service.impl;

import cn.com.ty.lift.business.emergency.entity.ErCostItem;
import cn.com.ty.lift.business.emergency.mapper.ErCostItemMapper;
import cn.com.ty.lift.business.emergency.service.ErCostItemService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service
public class ErCostItemServiceImpl extends ServiceImpl<ErCostItemMapper, ErCostItem> implements ErCostItemService {


    public List<ErCostItem> findByErRecordId(Long erRecordId){
        QueryWrapper<ErCostItem> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ErCostItem> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(ErCostItem::getErRecordId, erRecordId);
        List<ErCostItem> lists = list(lambdaQueryWrapper);
        return lists;
    }
}
