package cn.com.ty.portal.controller;

import cn.com.ty.portal.controller.dto.RoleListModel;
import cn.com.ty.portal.service.RoleMenuService;
import cn.com.ty.portal.service.model.RoleMenuModel;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
//@RequestMapping(path = "/role", produces = MediaType.APPLICATION_JSON_UTF8_VALUE, consumes = MediaType.APPLICATION_JSON_UTF8_VALUE)
@RequestMapping(path = "/role/menu")
public class RoleMenuController {

    @Autowired
    private RoleMenuService roleService;
    /**
     * 分页查询角色
     */
    @RequestMapping("/list")
    public RestResponse<IPage<RoleMenuModel>> list(@RequestBody RoleListModel request){
        IPage<RoleMenuModel> sysRoleIPage = roleService.queryMenuByRole(request);
        return RestResponse.ok(sysRoleIPage);
    }

}
