package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.UserInfo;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * MyBatis Mapper 接口 - 表：user_info
 * @since 2019-11-25 18:01:00
 */
@MyBatisMapper
public interface UserInfoMapper extends BaseMapper<UserInfo> {

	/**
	 * @description 用户信息对象
	 * @date 2019/11/27 10:03 AM
	 * @param userInfo 用户信息对象
	 * @return
	 */
    UserInfo getByUserInfo(UserInfo userInfo);
}